#### D.5.17.4 ChowRing

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  ChowRing(V); V variety

Assume:
  V is an abstract variety

Return:
  qring

Example:

    LIB "schubert.lib";
    ring r = 0,(h,e),wp(1,1);
    ideal rels = he,h2+e2;
    int d = 2;
    variety V = makeVariety(2,rels);
    ChowRing(V);
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 2
    ==> //        block   1 : ordering dp
    ==> //                  : names    h e
    ==> //        block   2 : ordering C
    ==> // quotient ring from ideal ...

User manual for Singular version 4.4.1, 2025, generated by texi2html.